Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.io
Class LoggerBufferedInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              java.io.BufferedInputStream
                  org.apache.logging.log4j.io.LoggerBufferedInputStream

All Implemented Interfaces:
  Closeable

    public class LoggerBufferedInputStream

extends BufferedInputStream

Since:
  2.1

Field Summary

Fields inherited from class java.io.BufferedInputStream
`buf, count, marklimit, markpos, pos`

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`protected` | `LoggerBufferedInputStream(InputStream in, Charset charset, org.apache.logging.log4j.spi.ExtendedLogger logger, String fqcn, org.apache.logging.log4j.Level level, org.apache.logging.log4j.Marker marker)`
`protected` | `LoggerBufferedInputStream(InputStream in, Charset charset, int size, org.apache.logging.log4j.spi.ExtendedLogger logger, String fqcn, org.apache.logging.log4j.Level level, org.apache.logging.log4j.Marker marker)`

Method Summary
`void` | `close()`
`int` | `read()`
`int` | `read(byte[] b)`
`int` | `read(byte[] b, int off, int len)`
`String` | `toString()`

Methods inherited from class java.io.BufferedInputStream
`available, mark, markSupported, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LoggerBufferedInputStream

    protected LoggerBufferedInputStream(InputStream in,
                                        Charset charset,
                                        org.apache.logging.log4j.spi.ExtendedLogger logger,
                                        String fqcn,
                                        org.apache.logging.log4j.Level level,
                                        org.apache.logging.log4j.Marker marker)

### LoggerBufferedInputStream

    protected LoggerBufferedInputStream(InputStream in,
                                        Charset charset,
                                        int size,
                                        org.apache.logging.log4j.spi.ExtendedLogger logger,
                                        String fqcn,
                                        org.apache.logging.log4j.Level level,
                                        org.apache.logging.log4j.Marker marker)

Method Detail

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `BufferedInputStream`
  Throws:
    `IOException`

### read

    public int read()
             throws IOException

  Overrides:
    `read` in class `BufferedInputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] b)
             throws IOException

  Overrides:
    `read` in class `FilterInputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

  Overrides:
    `read` in class `BufferedInputStream`
  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.